package com.prolog.cs.base.gsp.model;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-06-30 
 */

@ApiModel
@Table ( value ="dxi_gsp_gainslosses_bill_rec" )
public class DxiGspGainslossesBillRec implements Serializable {
	private static final long serialVersionUID =  9168884070091461486L;

	@Id
	// 删除自增注释，避免自动生成行号
	// @AutoKey(type=AutoKey.TYPE_SNOWFLAKE)
	@ApiModelProperty(value = "对接单据行号") 
	@Column(value = "lineid")
	private String lineid;

	@ApiModelProperty(value = "对接单据行号") 
	@Column(value = "seqno")
	private String seqno;

	@ApiModelProperty(value = "单据ID") 
	@Column(value = "billid")
	private String billid;

	@ApiModelProperty(value = "单据编号") 
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "单据类型") 
	@Column(value = "type")
	private String type;

	@ApiModelProperty(value = "状态") 
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "货主ID") 
	@Column(value = "consignorid")
	private String consignorid;

	@ApiModelProperty(value = "货主编码") 
	@Column(value = "consignorcode")
	private String consignorcode;

	@ApiModelProperty(value = "货主名称") 
	@Column(value = "consignorname")
	private String consignorname;

	@ApiModelProperty(value = "仓库ID") 
	@Column(value = "branchid")
	private String branchid;

	@ApiModelProperty(value = "仓库编码") 
	@Column(value = "branchcode")
	private String branchcode;

	@ApiModelProperty(value = "仓库名称") 
	@Column(value = "branchname")
	private String branchname;

	@ApiModelProperty(value = "商品ID") 
	@Column(value = "itemid")
	private String itemid;

	@ApiModelProperty(value = "商品名称") 
	@Column(value = "itemname")
	private String itemname;

	@ApiModelProperty(value = "商品编码") 
	@Column(value = "itemcode")
	private String itemcode;

	@ApiModelProperty(value = "单价") 
	@Column(value = "price")
	private String price;

	@ApiModelProperty(value = "数量") 
	@Column(value = "amount")
	private String amount;

	@ApiModelProperty(value = "包装数量") 
	@Column(value = "pack_amount")
	private String packAmount;

	@ApiModelProperty(value = "包装单位") 
	@Column(value = "pack_unit")
	private String packUnit;

	@ApiModelProperty(value = "总金额") 
	@Column(value = "total_price")
	private String totalPrice;

	@ApiModelProperty(value = "规格") 
	@Column(value = "spec")
	private String spec;

	@ApiModelProperty(value = "产地") 
	@Column(value = "place")
	private String place;

	@ApiModelProperty(value = "生产企业") 
	@Column(value = "manufacturer")
	private String manufacturer;

	@ApiModelProperty(value = "批号") 
	@Column(value = "batch_num")
	private String batchNum;

	@ApiModelProperty(value = "生产日期") 
	@Column(value = "production_date")
	private Date productionDate;

	@ApiModelProperty(value = "有效期至") 
	@Column(value = "expired_date")
	private Date expiredDate;

	@ApiModelProperty(value = "批准文号") 
	@Column(value = "approval_number")
	private String approvalNumber;

	@ApiModelProperty(value = "原因") 
	@Column(value = "reason")
	private String reason;

	@ApiModelProperty(value = "数据来源") 
	@Column(value = "ref_billtype")
	private String refBilltype;

	@ApiModelProperty(value = "扩展字段1") 
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "扩展字段2") 
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "扩展字段3") 
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "扩展字段4") 
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "扩展字段5") 
	@Column(value = "attr_str5")
	private String attrStr5;

	@ApiModelProperty(value = "扩展字段6") 
	@Column(value = "attr_str6")
	private String attrStr6;

	@ApiModelProperty(value = "扩展字段7") 
	@Column(value = "attr_str7")
	private String attrStr7;

	@ApiModelProperty(value = "扩展字段8") 
	@Column(value = "attr_str8")
	private String attrStr8;

	@ApiModelProperty(value = "扩展字段9") 
	@Column(value = "attr_str9")
	private String attrStr9;

	@ApiModelProperty(value = "扩展字段10") 
	@Column(value = "attr_str10")
	private String attrStr10;

	@ApiModelProperty(value = "扩展字段11") 
	@Column(value = "attr_num1")
	private String attrNum1;

	@ApiModelProperty(value = "扩展字段12") 
	@Column(value = "attr_num2")
	private String attrNum2;

	@ApiModelProperty(value = "扩展字段13") 
	@Column(value = "attr_num3")
	private String attrNum3;

	@ApiModelProperty(value = "扩展字段14") 
	@Column(value = "attr_num4")
	private String attrNum4;

	@ApiModelProperty(value = "扩展字段15") 
	@Column(value = "attr_num5")
	private String attrNum5;

	@ApiModelProperty(value = "扩展字段16") 
	@Column(value = "attr_dte1")
	private Date attrDte1;

	@ApiModelProperty(value = "扩展字段17") 
	@Column(value = "attr_dte2")
	private Date attrDte2;

	@ApiModelProperty(value = "扩展字段18") 
	@Column(value = "attr_dte3")
	private Date attrDte3;

	@ApiModelProperty(value = "扩展字段19") 
	@Column(value = "attr_dte4")
	private Date attrDte4;

	@ApiModelProperty(value = "扩展字段20") 
	@Column(value = "attr_dte5")
	private Date attrDte5;

	@ApiModelProperty(value = "创建时间") 
	@Column(value = "createdate")
	private Date createdate;

	@ApiModelProperty(value = "创建人") 
	@Column(value = "createby")
	private String createby;

	@ApiModelProperty(value = "修改时间") 
	@Column(value = "lastmodifydate")
	private Date lastmodifydate;

	@ApiModelProperty(value = "修改人") 
	@Column(value = "lastmodifyby")
	private String lastmodifyby;

	@ApiModelProperty(value = "企业ID") 
	@Column(value = "p_enterpriseid")
	private String enterpriseid;

	@ApiModelProperty(value = "企业名称") 
	@Column(value = "p_enterprisename")
	private String enterprisename;
	
	@ApiModelProperty(value = "业务时间") 
	@Column(value = "BILLDATE")
	private Date billdate;

	public Date getBilldate() {
		return billdate;
	}

	public void setBilldate(Date billdate) {
		this.billdate = billdate;
	}

	public String getLineid() {
		return this.lineid;
	}

	public void setLineid(String lineid) {
		this.lineid = lineid;
	}

	public String getSeqno() {
		return this.seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorcode() {
		return this.consignorcode;
	}

	public void setConsignorcode(String consignorcode) {
		this.consignorcode = consignorcode;
	}

	public String getConsignorname() {
		return this.consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getBranchid() {
		return this.branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return this.branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return this.branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getItemid() {
		return this.itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getItemname() {
		return this.itemname;
	}

	public void setItemname(String itemname) {
		this.itemname = itemname;
	}

	public String getItemcode() {
		return this.itemcode;
	}

	public void setItemcode(String itemcode) {
		this.itemcode = itemcode;
	}

	public String getPrice() {
		return this.price;
	}

	public void setPrice(String price) {
		this.price = price;
	}

	public String getAmount() {
		return this.amount;
	}

	public void setAmount(String amount) {
		this.amount = amount;
	}

	public String getPackAmount() {
		return this.packAmount;
	}

	public void setPackAmount(String packAmount) {
		this.packAmount = packAmount;
	}

	public String getPackUnit() {
		return this.packUnit;
	}

	public void setPackUnit(String packUnit) {
		this.packUnit = packUnit;
	}

	public String getTotalPrice() {
		return this.totalPrice;
	}

	public void setTotalPrice(String totalPrice) {
		this.totalPrice = totalPrice;
	}

	public String getSpec() {
		return this.spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public String getPlace() {
		return this.place;
	}

	public void setPlace(String place) {
		this.place = place;
	}

	public String getManufacturer() {
		return this.manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public String getBatchNum() {
		return this.batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public Date getProductionDate() {
		return this.productionDate;
	}

	public void setProductionDate(Date productionDate) {
		this.productionDate = productionDate;
	}

	public Date getExpiredDate() {
		return this.expiredDate;
	}

	public void setExpiredDate(Date expiredDate) {
		this.expiredDate = expiredDate;
	}

	public String getApprovalNumber() {
		return this.approvalNumber;
	}

	public void setApprovalNumber(String approvalNumber) {
		this.approvalNumber = approvalNumber;
	}

	public String getReason() {
		return this.reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getRefBilltype() {
		return this.refBilltype;
	}

	public void setRefBilltype(String refBilltype) {
		this.refBilltype = refBilltype;
	}

	public String getAttrStr1() {
		return this.attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return this.attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return this.attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return this.attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return this.attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public String getAttrStr6() {
		return this.attrStr6;
	}

	public void setAttrStr6(String attrStr6) {
		this.attrStr6 = attrStr6;
	}

	public String getAttrStr7() {
		return this.attrStr7;
	}

	public void setAttrStr7(String attrStr7) {
		this.attrStr7 = attrStr7;
	}

	public String getAttrStr8() {
		return this.attrStr8;
	}

	public void setAttrStr8(String attrStr8) {
		this.attrStr8 = attrStr8;
	}

	public String getAttrStr9() {
		return this.attrStr9;
	}

	public void setAttrStr9(String attrStr9) {
		this.attrStr9 = attrStr9;
	}

	public String getAttrStr10() {
		return this.attrStr10;
	}

	public void setAttrStr10(String attrStr10) {
		this.attrStr10 = attrStr10;
	}

	public String getAttrNum1() {
		return this.attrNum1;
	}

	public void setAttrNum1(String attrNum1) {
		this.attrNum1 = attrNum1;
	}

	public String getAttrNum2() {
		return this.attrNum2;
	}

	public void setAttrNum2(String attrNum2) {
		this.attrNum2 = attrNum2;
	}

	public String getAttrNum3() {
		return this.attrNum3;
	}

	public void setAttrNum3(String attrNum3) {
		this.attrNum3 = attrNum3;
	}

	public String getAttrNum4() {
		return this.attrNum4;
	}

	public void setAttrNum4(String attrNum4) {
		this.attrNum4 = attrNum4;
	}

	public String getAttrNum5() {
		return this.attrNum5;
	}

	public void setAttrNum5(String attrNum5) {
		this.attrNum5 = attrNum5;
	}

	public Date getAttrDte1() {
		return this.attrDte1;
	}

	public void setAttrDte1(Date attrDte1) {
		this.attrDte1 = attrDte1;
	}

	public Date getAttrDte2() {
		return this.attrDte2;
	}

	public void setAttrDte2(Date attrDte2) {
		this.attrDte2 = attrDte2;
	}

	public Date getAttrDte3() {
		return this.attrDte3;
	}

	public void setAttrDte3(Date attrDte3) {
		this.attrDte3 = attrDte3;
	}

	public Date getAttrDte4() {
		return this.attrDte4;
	}

	public void setAttrDte4(Date attrDte4) {
		this.attrDte4 = attrDte4;
	}

	public Date getAttrDte5() {
		return this.attrDte5;
	}

	public void setAttrDte5(Date attrDte5) {
		this.attrDte5 = attrDte5;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public String getEnterpriseid() {
		return this.enterpriseid;
	}

	public void setEnterpriseid(String enterpriseid) {
		this.enterpriseid = enterpriseid;
	}

	public String getEnterprisename() {
		return this.enterprisename;
	}

	public void setEnterprisename(String enterprisename) {
		this.enterprisename = enterprisename;
	}

}
